Package org.sunflow.core

## Class Options

- java.lang.Object
- - org.sunflow.core.ParameterList
  - - org.sunflow.core.Options

- All Implemented Interfaces:
    `RenderObject`

      public final class Options
      extends ParameterList
      implements RenderObject

  This holds rendering objects as key, value pairs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.sunflow.core.ParameterList

      `ParameterList.FloatParameter, ParameterList.InterpolationType, ParameterList.Parameter`

  - ### Field Summary

    - ### Fields inherited from class org.sunflow.core.ParameterList

      `list`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Options()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `update​(ParameterList pl, SunflowAPI api)` | Update this object given a list of parameters.

    - ### Methods inherited from class org.sunflow.core.ParameterList

      `addBoolean, addColor, addFloat, addFloats, addInteger, addIntegerArray, addMatrices, addPoints, addString, addStringArray, addTexCoords, addVectors, clear, getBoolean, getColor, getFloat, getFloatArray, getInt, getIntArray, getMatrix, getMatrixArray, getMovingMatrix, getPoint, getPointArray, getString, getStringArray, getTexCoord, getTexCoordArray, getVector, getVectorArray, setFaceCount, setFaceVertexCount, setVertexCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options()

  - ### Method Detail

    - #### update

          public boolean update​(ParameterList pl,
                                SunflowAPI api)

      Description copied from interface: `RenderObject`
      Update this object given a list of parameters. This method is guarenteed to be called at least once on every object, but it should correctly handle empty parameter lists. This means that the object should be in a valid state from the time it is constructed. This method should also return true or false depending on whether the update was succesfull or not.
      Specified by:
        `update` in interface `RenderObject`
      Parameters:
        `pl` - list of parameters to read from
        `api` - reference to the current scene
      Returns:
        `true` if the update is succesfull, `false` otherwise